Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSql.NumericalPrecisionPolicy

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.sql.QSql.NumericalPrecisionPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  QSql

    public static final class QSql.NumericalPrecisionPolicy

extends java.lang.Enum
implements QtEnumerator

This enum type describes at which precision levels numercial values are read from a database.

Some databases support numerical values with a precision that is not storable in a C++ basic data type. The default behavior is to bind these values as a QString. This enum can be used to override this behavior. Note: The actual behaviour if an overflow occurs is driver specific. The Oracle database just returns an error in this case.

See Also:
  Serialized Form

Field Summary
`static QSql.NumericalPrecisionPolicy` | `HighPrecision` The default behavior - try to preserve maximum precision.
`static QSql.NumericalPrecisionPolicy` | `LowPrecisionDouble` Force `double` values.
`static QSql.NumericalPrecisionPolicy` | `LowPrecisionInt32` Force 32bit integer values.
`static QSql.NumericalPrecisionPolicy` | `LowPrecisionInt64` Force 64bit integer values.

Method Summary
`static QSql.NumericalPrecisionPolicy` | `resolve(int value)` Returns the NumericalPrecisionPolicy constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSql.NumericalPrecisionPolicy` | `valueOf(java.lang.String name)`
`static QSql.NumericalPrecisionPolicy[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LowPrecisionInt32

    public static final QSql.NumericalPrecisionPolicy LowPrecisionInt32

  Force 32bit integer values. In case of floating point numbers, the fractional part is silently discarded.

### LowPrecisionInt64

    public static final QSql.NumericalPrecisionPolicy LowPrecisionInt64

  Force 64bit integer values. In case of floating point numbers, the fractional part is silently discarded.

### LowPrecisionDouble

    public static final QSql.NumericalPrecisionPolicy LowPrecisionDouble

  Force `double` values.

### HighPrecision

    public static final QSql.NumericalPrecisionPolicy HighPrecision

  The default behavior - try to preserve maximum precision.

Method Detail

### values

    public static QSql.NumericalPrecisionPolicy[] values()

### valueOf

    public static QSql.NumericalPrecisionPolicy valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSql.NumericalPrecisionPolicy resolve(int value)

  Returns the NumericalPrecisionPolicy constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD